Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1659209 - golang internal testcases from misc/cgo/testshared fail on aarch64
Summary: golang internal testcases from misc/cgo/testshared fail on aarch64
Keywords:
Status: CLOSED DUPLICATE of bug 1658418
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: go-toolset
Version: 8.0
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Derek Parker
QA Contact: Edjunior Barbosa Machado
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 19:56 UTC by Edjunior Barbosa Machado
Modified: 2019-05-22 05:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 09:01:21 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
golang-1.11.2-1.module+el8+2368+e260b36a internal testsuite output on aarch64 (18.76 KB, text/plain)
2018-12-13 19:56 UTC, Edjunior Barbosa Machado
no flags Details

Description Edjunior Barbosa Machado 2018-12-13 19:56:03 UTC
Created attachment 1514181 [details]
golang-1.11.2-1.module+el8+2368+e260b36a internal testsuite output on aarch64

Description of problem:
Some testcases from golang internal testsuite are failing on RHEL-8 aarch64:

(...)
##### ../misc/cgo/testshared
# go tool dist test -run=^testshared$
go test -short -count=1 -tags= -run= -timeout=1h40m0s
--- FAIL: TestTrivialExecutable (4.65s)
    shared_test.go:41: executing ./bin/trivial (trivial executable) failed signal: segmentation fault (core dumped):
--- FAIL: TestDivisionExecutable (1.12s)
    shared_test.go:41: executing ./bin/division (division executable) failed signal: segmentation fault (core dumped):
--- FAIL: TestCgoExecutable (1.97s)
    shared_test.go:41: executing ./bin/execgo (cgo executable) failed signal: segmentation fault (core dumped):
--- FAIL: TestGopathShlib (4.91s)
    shared_test.go:41: executing ./bin/exe (executable linked to GOPATH library) failed signal: segmentation fault (core dumped):
--- FAIL: TestTwoGopathShlibs (4.39s)
    shared_test.go:41: executing ./bin/exe2 (executable linked to GOPATH library) failed signal: segmentation fault (core dumped):
--- FAIL: TestThreeGopathShlibs (6.38s)
    shared_test.go:41: executing ./bin/exe3 (executable linked to GOPATH library) failed signal: segmentation fault (core dumped):
--- FAIL: TestABIChecking (4.05s)
    shared_test.go:861: exe failed, but without line "abi mismatch detected between the executable and libdepBase.so"; got output:
--- FAIL: TestImplicitInclusion (2.10s)
    shared_test.go:41: executing ./bin/implicitcmd (running executable linked against library that contains same package as it) failed signal: segmentation fault (core dumped):
--- FAIL: TestInterface (2.62s)
    shared_test.go:41: executing ./bin/iface (running type/itab uniqueness tester) failed signal: segmentation fault (core dumped):
--- FAIL: TestGlobal (1.99s)
    shared_test.go:41: executing ./bin/global (global executable) failed signal: segmentation fault (core dumped):
2018/12/13 10:45:08 executing go test -installsuffix=5577006791947779410 -linkshared -test.short sync/atomic failed exit status 1:
signal: segmentation fault (core dumped)
FAIL	sync/atomic	0.607s
exit status 1
FAIL	_/usr/lib/golang/misc/cgo/testshared	53.517s
2018/12/13 10:45:08 Failed: exit status 1
(...)

These failures are not reproducible on other RHEL-8 supported architectures.
Moreover, the same testcases were running successfully on previous golang-1.10.3-18.module+el8+2240+384d32ea.

Version-Release number of selected component (if applicable):
golang-1.11.2-1.module+el8+2368+e260b36a.aarch64
RHEL-8.0-20181204.0

Steps to Reproduce:
1. go tool dist test -rebuild -v -v -v -k


Note You need to log in before you can comment on or make changes to this bug.